<!DOCTYPE html>
<html>
    <head>
	<meta charset="utf-8"/>
	<title>Opsperator</title>
	<link rel="stylesheet" href="style.css"/>
    </head>
    <body>
	<div class="navbar">
	    <a href="./index.html">Description</a>
	    <a href="./products.html">Products Index</a>
	    <a href="./screenshots.html">ScreenShots</a>
	    &nbsp;|&nbsp;
	    <a target=_blank' href="https://gitlab.com/synacksynack/opsperator/docker-operator/">Kubernetes Operator</a>
	    <a target=_blank' href="https://gitlab.com/synacksynack/opsperator/">Opsperator Repositories</a>
	    <a target=_blank' href="https://github.com/Worteks/bbb-ansible/">BigBlueButton Deployment</a>
	    <a target=_blank' href="https://gitlab.com/synacksynack/opsperator/docker-operator/-/issues/new">Report a Bug</a>
	    &nbsp;|&nbsp;
	    <a target=_blank' href="https://www.worteks.com/contact-en/">Contact</a>
	</div>

	<h1>Opsperator</h1>
	<h2>Kubernetes Native Deployment Stack</h2>

	<table width='100%'>
	    <tr>
		<td width='15%'>
		    <p>&nbsp;</p>
		    <img src='./logo-kube.png' width='150px'>
		    <p>&nbsp;</p>
		    <img src='./logo-okd.png' width='150px'>
		</td>
		<td width='55%'>
		    <p class='intro'>
			Opsperator is an <a href='https://gitlab.com/synacksynack/opsperator/docker-operator/' target='_blank'>Ansible Operator</a>, building and deploying Open Source
			solutions to Kubernetes, with optional self-hosted <a href='https://gitlab.com/synacksynack/opsperator/docker-openldap' target='_blank'>LTB OpenLDAP</a> directory and
			<a href='https://gitlab.com/synacksynack/opsperator/docker-lemonldap' target='_blank'>LemonLDAP-NG</a> SSO Portal, with OpenLDAP, Postgres or Redis sessions,
			as well as optional <a href='https://gitlab.com/synacksynack/opsperator/docker-backups' target='_blank'>Backups</a> (mongodb, mysql, rsync, postgres).
		    </p>
		    <p>&nbsp;</p>
		    <p class='description'>
			The level of integration and stability varies from application to application,
			any kind of help (docs, fixes, features, ...) is welcome on GitLab - as well as
			any question you may have regarding deploying and operating embedded components,
			or need help integrating additional products.
		    </p>
		    <p class='description'>
			The idea is for each application to come pre-configured, with some initial admin
			account, its password kept in a Secret. Backups, LDAP, SSO or s3 integration
			would get configured based on Kubernetes CRD resources discovery.<br/>
			NetworkPolicies, Horizontal Pod Autoscalers, Pod Disruption Budgets, Prometheus
			Exporters, component debugs may be enabled for each custom resource.<br/>
			Prometheus, AlertManager, Thanos (with MinIO or RadosGW s3 storage) and Grafana
			may be used watching over operated components, shipping with pre-configured
			alerting rules and dashboards.
		    </p>
		    <p class='description'>
			So far, only sources are published: to get started, you will need to build the
			Opsperator container image, then upload it to some container registry, that you would
			then use setting up your operator deployment.<br/>
			See <a href='https://gitlab.com/synacksynack/opsperator/docker-operator/-/blob/master/README.md#build-and-deploy-operator' target='_blank'>operator documentation</a> for setup instructions.
		    </p>
		</td>
		<td width='25%'>
		    <img src='./logo-llng2.png' height='80px' alt='LemonLDAP-NG'>
		    <img src='./logo-ltb.png' height='80px' alt='LDAP ToolBox Suite'>
		    <img src='./logo-nc.png' height='80px' alt='NextCloud'><br/>
		    <img src='./logo-rc.png' height='80px' alt='RocketChat'>
		    <img src='./logo-cdmd.png' height='80px' alt='CodiMD'>
		    <img src='./logo-dkwk.png' height='80px' alt='DokuWiki'><br/>
		    <img src='./logo-nx.png' height='80px' alt='Nexus Repository Manager'>
		    <img src='./logo-sq.png' height='80px' alt='SonarQube'>
		    <img src='./logo-gitea.png' height='80px' alt='Gitea'><br/>
		    <img src='./logo-prom.png' height='80px' alt='Prometheus'>
		    <img src='./logo-am.png' height='80px' alt='AlertManager'>
		    <img src='./logo-tnt.png' height='80px' alt='Thanos'><br/>
		    <img src='./logo-gfn.png' height='80px' alt='Grafana'>
		    <img src='./logo-sysp.png' height='80px' alt='SysPass'>
		    <img src='./logo-wp.png' height='80px' alt='WordPress'><br/>
		    <br/><i>And <a href='./products.html'>much more ...</a></i>
		</td>
	    </tr>
	</table>
    </body>
</html>
